import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

double winWidth() {
  return ScreenUtil.screenWidth;
}

double winHeight() {
  return ScreenUtil.screenHeight;
}

double winTop() {
  return ScreenUtil.statusBarHeight;
}

double winBottom(BuildContext context) {
  return MediaQuery.of(context).padding.bottom;
}

double winLeft(BuildContext context) {
  return MediaQuery.of(context).padding.left;
}

double winRight(BuildContext context) {
  return MediaQuery.of(context).padding.right;
}

double winKeyHeight(BuildContext context) {
  return MediaQuery.of(context).viewInsets.bottom;
}

double statusBarHeight() {
  return ScreenUtil.statusBarHeight;
}

double navigationBarHeight(BuildContext context) {
  return kToolbarHeight;
}

double topBarHeight(BuildContext context) {
  return kToolbarHeight + MediaQueryData.fromWindow(window).padding.top;
}


double getSp(double sp){
  return ScreenUtil._.getAdapterSize(sp);
}

double getHeight(double height){
  return ScreenUtil._.getAdapterSize(height);
}

double getWidth(double width){
  return ScreenUtil._.getAdapterSize(width);
}

EdgeInsets getEdgeInsetsAll(double value){
  return EdgeInsets.symmetric(vertical: getHeight(value), horizontal: getWidth(value));
}

EdgeInsets getEdgeInsetsSymmetric({double vertical = 0, double horizontal = 0}){
  return EdgeInsets.symmetric(vertical: getHeight(vertical), horizontal: getWidth(horizontal));
}


EdgeInsets getEdgeInsetsOnly({double left = 0, double right = 0, double top = 0, double bottom = 0}){
  return EdgeInsets.only(left: getWidth(left), right: getWidth(right), top: getHeight(top), bottom: getHeight(bottom));
}
